Bug 1314067 - [Docs] [Backup] [RFE] Undercloud backup/restore procedure for osp-d 8
[Docs] [Backup] [RFE] Undercloud backup/restore procedure for osp-d 8
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
medium Severity low
: ga
: 8.0 (Liberty)
Assigned To: Martin Lopes
Radek Bíba
: Documentation, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 14:34 EST by James Slagle
Modified: 2017-09-11 13:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-11 21:42:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Slagle 2016-03-02 14:34:52 EST
We need to make sure the director undercloud backup/restore procedure is documented for osp-d 8.

Here is the documentation for 7:
https://access.redhat.com/documentation/en/red-hat-enterprise-linux-openstack-platform/version-7/back-up-and-restore-red-hat-enterprise-linux-openstack-platform/

I tested out those steps on an osp-d 8 undercloud, and the steps themselves still work with no changes needed.

I would only recommend switching steps 7 and 8 to improve usability. As step 8 is meant to be executed as the root user, but in step 7, we have told the user to switch to the stack user. So, it makes sense to do those steps in the opposite order.

Also in the existing step 7, we say:
sudo yum install -y python-rdomanager-oscplugin

That will still work in osp-d 8, but the package has been renamed to python-tripleoclient, so it would be more correct to say:
sudo yum install -y python-tripleoclient
Comment 2 Andrew Dahms 2016-04-13 00:34:48 EDT
Assigning to Martin for review.
Comment 3 Martin Lopes 2016-04-13 20:52:50 EDT
Thanks for info! Updating guides.
Comment 9 Andrew Dahms 2016-07-11 21:42:47 EDT
This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.